ACM--三角形重心--HDOJ 2105--The Center of Gravity--水

HDOJ题目地址:传送门

The Center of Gravity

Time Limit: 3000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)

Total Submission(s): 5570    Accepted Submission(s): 3179

Problem Description

Everyone know the story that how Newton discovered the Universal Gravitation. One day, Newton walked

leisurely, suddenly, an apple hit his head. Then Newton discovered the Universal Gravitation.From then

on,people have sovled many problems by the the theory of the Universal Gravitation. What‘s more, wo also

have known every object has its Center of Gravity.

Now,you have been given the coordinates of three points of a triangle. Can you calculate the center

of gravity of the triangle?

Input

The first line is an integer n,which is the number of test cases.

Then n lines follow. Each line has 6 numbers x1,y1,x2,y2,x3,y3,which are the coordinates of three points.

The input is terminated by n = 0.

Output

For each case, print the coordinate, accurate up to 1 decimal places.

Sample Input

2
1.0 2.0 3.0 4.0 5.0 2.0
1.0 1.0 4.0 1.0 1.0 5.0
0

Sample Output

3.0 2.7
2.0 2.3
#include<iostream>
#include<stdio.h>
using namespace std;
int main(){
    int n;
    while(scanf("%d",&n)&&n){
         double x1,x2,x3,y1,y2,y3;
        while(n--){
            cin>>x1>>y1>>x2>>y2>>x3>>y3;
            printf("%.1lf %.1lf\n",(x1+x2+x3)/3,(y1+y2+y3)/3);
        }
    }
}
时间: 2024-10-13 08:00:32

ACM--三角形重心--HDOJ 2105--The Center of Gravity--水的相关文章

HDU 2105: The Center of Gravity

The Center of Gravity ///@author Sycamore, ZJNU; ///@date 8/4/2017 #include<bits/stdc++.h> using namespace std; int main() { ios::sync_with_stdio(false); int t; while (cin >> t&&t) while (t--) { double a, b, c, d, e, f; cin >> a 

HDU 2105 三角形重心

The Center of Gravity Time Limit: 3000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 4159    Accepted Submission(s): 2403 Problem Description Everyone know the story that how Newton discovered the Universal Gr

HDOJ/HDU 2537 8球胜负(水题.简单的判断)

Problem Description 8球是一种台球竞赛的规则.台面上有7个红球.7个黄球以及一个黑球,当然还有一个白球.对于本题,我们使用如下的简化规则:红.黄两名选手轮流用白球击打各自颜色的球,如果将该颜色的7个球全部打进,则这名选手可以打黑球,如果打进则算他胜.如果在打进自己颜色的所有球之前就把黑球打进,则算输.如果选手不慎打进了对手的球,入球依然有效. 现在给出打进的球(白球除外)的顺序,以及黑球由哪方打进,你的任务是判定哪方是胜者. 假设不会有一杆同时打进一颗黑球和其他彩球. Inp

HDOJ 题目4648 Magic Pen 6(水题)

Magic Pen 6 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65535/32768 K (Java/Others) Total Submission(s): 1964    Accepted Submission(s): 682 Problem Description In HIT, many people have a magic pen. Lilu0355 has a magic pen, darkgt has a

HDOJ(HDU) 2139 Calculate the formula(水题,又一个用JavaAC不了的题目)

Time Limit: 1000/1000 MS (Java/Others) Memory Limit: 32768/32768 K (Java/Others) 看到这个时间,我懵逼了... 果然,Java就是打表,都不能AC,因为Java的输入是流,需要的时间比C真的长好多.... Problem Description You just need to calculate the sum of the formula: 1^2+3^2+5^2+--+ n ^2. Input In each

HDOJ/HDU 2561 第二小整数(水题~排序~)

Problem Description 求n个整数中倒数第二小的数. 每一个整数都独立看成一个数,比如,有三个数分别是1,1,3,那么,第二小的数就是1. Input 输入包含多组测试数据. 输入的第一行是一个整数C,表示有C测试数据: 每组测试数据的第一行是一个整数n,表示本组测试数据有n个整数(2<=n<=10),接着一行是 n个整数 (每个数均小于100); Output 请为每组测试数据输出第二小的整数,每组输出占一行. Sample Input 2 2 1 2 3 1 1 3 Sam

双足步行机器人的ZMP与CoP检测

静态步行与动态步行 机器人步态分为静态步行和动态步行.当机器人做静态步行运动时,身体的各个部分运动速度很小,机器人的整体稳定性较易控制.静态步行稳定性采用机器人的重心地面投影点(Center of Gravity,简称CoG)作为稳定性标准,这种判定方法适用于运动较为缓慢的情况.如果机器人采用的是一种高速运动的步行方式,则称之为动态步行.当机器人进行动态步行时,其重心的位置和加速度的大小时刻都在变化,产生向前和侧向的惯性不容易控制,从而稳定性不好掌控.在机器人的静态步行过程中,如果重心投影的轨迹

双足机器人的平衡控制

在最开始,双足机器人使用的平衡控制策略是「静态步行」(static walking).这种策略的特点是:机器人步行的过程中,重心(COG,Center of Gravity)的投影始终位于多边形支撑区域(support region)内,这种控制策略的好处在于:机器人可以在行走动作中停止而不摔倒,但代价是行动速度非常迟缓(每一步需要花费10 秒甚至更长,因为需要保持重心的投影始终位于支撑区域,否则将不稳定). 因为静态步行和人类的期望相差甚远,于是人类开发出来了另一种步行平衡策略--「动态步行」

●BZOJ 3672 [Noi2014]购票

题链: http://www.lydsy.com/JudgeOnline/problem.php?id=3672 题解: 斜率优化DP,点分治(树上CDQ分治...) 这里有一个没有距离限制的简单版:BZOJ 1767 [Ceoi2009]harbingers 定义$DP[i]$为从i出发到1号点的最小花费,$dis_i$为i到1号点的距离: 转移: $DP[i]=min(DP[j]+(dis_i-dis_j)P_j)+Q_i$ $\quad=min(DP[j]-dis_jP_i)+dis_iP